<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RAccessControlGroupName StructType
 * @subpackage Structs
 */
class RAccessControlGroupName extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $name;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RAccessControlGroupName
     * @uses RAccessControlGroupName::setName()
     * @uses RAccessControlGroupName::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $name
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $name = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAccessControlGroupName
     */
    public function setName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAccessControlGroupName
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
